<?php
session_start();
include('../conexion.php');
include('../include/sesiones.php');


require_once('../../libraries/phpmailer/class.phpmailer.php');

$correo = $_POST['correo_cambi'];
$documento = $_POST['documento_cambi'];

$sql_count = mysqli_query($con, "SELECT * FROM cliente WHERE clie_cc = '$documento' AND clie_correo = '$correo' AND empresa = '$emp_id' ");




$count = mysqli_num_rows($sql_count);



$empre = mysqli_query($con, "SELECT * FROM empresa WHERE  emp_id  = '$emp_id'");
while ($emp = mysqli_fetch_array($empre)) {
	$n_empre = $emp['emp_nombre'];
}

if ($count == 0) {
	echo "<div class='alert alert-danger alert-dismissable'>
        <strong>Datos Invalidos!</strong></div>";
} else {

	$caracteres = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234567890*/!$%&';
	$longpalabra = 10;
	for ($pass = '', $n = strlen($caracteres) - 1; strlen($pass) < $longpalabra;) {
		$x = rand(0, $n);
		$pass .= $caracteres[$x];
	}
	//print 'Nuestra contraseña obtenida es: ' . $pass;

	$sql = mysqli_fetch_array($sql_count);

	$correo_dest = $sql['clie_correo'];
	$usu_nombre = $sql['clie_nombre'];




	$eemail = $correo_dest;
	$subject = "RECUPERACION DE CONTRASEÑA $n_empre";
	$body = 	"Hola,
						<p>Su contraseña se ha restablecido.<p>
						<p>¡Comience de inmediato!, ingrese a su cuenta de Vicpos<p>

						<p>Su nombre de usuario es : <strong>" . $usu_nombre . "</strong><p>
						<p>Su contraseña actual es : <strong>" . $pass . "</strong><p>

					<p>Gracias por elegirnos, equipo Vicpos<p>";

	$my_name = "$n_empre"; //Agregue su nombre o asunto
	$my_mail = "facturar@vicpos2.com"; //Agregue su propio email 
	$my_replyto = "facturar@vicpos2.com"; //El email para respuestas
	//$my_file = 'cot'.$cot_id.'.pdf';
	//$file = "../pdf_temporales/".$my_file;
	//$filename =  utf8_decode('Cotización-'.$cot_n_cotizacion.'.pdf');
	$correo = new PHPMailer(); //Creamos una instancia en lugar usar mail()

	//Usamos el SetFrom para decirle al script quien envia el correo
	$correo->SetFrom($my_mail, $my_name);

	//Usamos el AddReplyTo para decirle al script a quien tiene que responder el correo
	$correo->AddReplyTo($my_replyto, $my_name);

	//Usamos el AddAddress para agregar un destinatario
	$correo->AddAddress($eemail, $eemail);

	//Ponemos el asunto del mensaje
	$correo->Subject = $subject;

	/*
 * Si deseamos enviar un correo con formato HTML utilizaremos MsgHTML:
 * $correo->MsgHTML("<strong>Mi Mensaje en HTML</strong>");
 * Si deseamos enviarlo en texto plano, haremos lo siguiente:
 * $correo->IsHTML(false);
 * $correo->Body = "Mi mensaje en Texto Plano";
 */
	$correo->MsgHTML($body);

	//Si deseamos agregar un archivo adjunto utilizamos AddAttachment
	//$correo->AddAttachment($file );
	//Enviamos el correo
	if (!$correo->Send()) {

		$resultado = "Error enviando el correo, por favor intente de nuevo.  Error:" . $correo->ErrorInfo;
		echo '<div id="resultados_contra"><div class="alert alert-warning alert-dismissible" role="alert">
	<strong>Error!</strong> ' . $resultado . '</div></div>';
	} else {

		$sql1 = mysqli_query($con, "UPDATE usuario Set clie_clave ='$pass' Where clie_cc='$documento' and clie_correo='$correo_dest'") or  die(mysqli_error($con));

		$resultado = "Correo enviado con éxito!!";
		echo '<div id="resultados_contra"><div class="alert alert-success alert-dismissible" role="alert">
	<strong>Aviso!</strong> ' . $resultado . '</div></div>';
	}
}
